package com.hz.pm.api.meeting.entity.enumeration;

import com.hz.pm.api.meeting.entity.dto.ExpertJudgeTimeLimitContentDTO;
import com.hz.pm.api.meeting.entity.dto.InviteCallIgnoreTimeContentDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * MeetingSettingsTypeEnum
 * </p>
 *
 * @author WendyYang
 * @since 00:06 2023/12/27
 */
@Getter
@AllArgsConstructor
public enum MeetingSettingsTypeEnum {

    INVITE_CALL_IGNORE_TIME("专家抽取免打扰时段配置", InviteCallIgnoreTimeContentDTO.class),
    SMS_SEND_IGNORE_TIME("短信发送免打扰时间段", InviteCallIgnoreTimeContentDTO.class),
    EXPERT_JUDGE_TIME_LIMIT("专家星级评分时间配置", ExpertJudgeTimeLimitContentDTO.class);

    private final String name;
    private final Class<?> contentClass;

}
